package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import java.util.HashMap;
import de.hybris.platform.jalo.enumeration.EnumerationValue;
import de.hybris.platform.jalo.SessionContext;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import de.hybris.platform.jalo.GenericItem;

@SLDSafe
public class LpgDBCRequest extends GenericItem
{
    public static final String CUSTOMERID = "customerId";
    public static final String CONSUMERID = "consumerId";
    public static final String ONLINEPAYMENTENABLED = "onlinePaymentEnabled";
    public static final String ID = "id";
    public static final String RETURNCODE = "returnCode";
    public static final String RETURNMSG = "returnMsg";
    public static final String STATUS = "status";
    protected static final Map<String, Item.AttributeMode> DEFAULT_INITIAL_ATTRIBUTES;
    
    protected Map<String, Item.AttributeMode> getDefaultAttributeModes() {
        return LpgDBCRequest.DEFAULT_INITIAL_ATTRIBUTES;
    }
    
    public String getConsumerId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "consumerId".intern());
    }
    
    public String getConsumerId() {
        return this.getConsumerId(this.getSession().getSessionContext());
    }
    
    public void setConsumerId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "consumerId".intern(), (Object)value);
    }
    
    public void setConsumerId(final String value) {
        this.setConsumerId(this.getSession().getSessionContext(), value);
    }
    
    public String getCustomerId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "customerId".intern());
    }
    
    public String getCustomerId() {
        return this.getCustomerId(this.getSession().getSessionContext());
    }
    
    public void setCustomerId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "customerId".intern(), (Object)value);
    }
    
    public void setCustomerId(final String value) {
        this.setCustomerId(this.getSession().getSessionContext(), value);
    }
    
    public String getId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "id".intern());
    }
    
    public String getId() {
        return this.getId(this.getSession().getSessionContext());
    }
    
    public void setId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "id".intern(), (Object)value);
    }
    
    public void setId(final String value) {
        this.setId(this.getSession().getSessionContext(), value);
    }
    
    public String getOnlinePaymentEnabled(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "onlinePaymentEnabled".intern());
    }
    
    public String getOnlinePaymentEnabled() {
        return this.getOnlinePaymentEnabled(this.getSession().getSessionContext());
    }
    
    public void setOnlinePaymentEnabled(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "onlinePaymentEnabled".intern(), (Object)value);
    }
    
    public void setOnlinePaymentEnabled(final String value) {
        this.setOnlinePaymentEnabled(this.getSession().getSessionContext(), value);
    }
    
    public String getReturnCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "returnCode".intern());
    }
    
    public String getReturnCode() {
        return this.getReturnCode(this.getSession().getSessionContext());
    }
    
    public void setReturnCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "returnCode".intern(), (Object)value);
    }
    
    public void setReturnCode(final String value) {
        this.setReturnCode(this.getSession().getSessionContext(), value);
    }
    
    public String getReturnMsg(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "returnMsg".intern());
    }
    
    public String getReturnMsg() {
        return this.getReturnMsg(this.getSession().getSessionContext());
    }
    
    public void setReturnMsg(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "returnMsg".intern(), (Object)value);
    }
    
    public void setReturnMsg(final String value) {
        this.setReturnMsg(this.getSession().getSessionContext(), value);
    }
    
    public EnumerationValue getStatus(final SessionContext ctx) {
        return (EnumerationValue)this.getProperty(ctx, "status".intern());
    }
    
    public EnumerationValue getStatus() {
        return this.getStatus(this.getSession().getSessionContext());
    }
    
    public void setStatus(final SessionContext ctx, final EnumerationValue value) {
        this.setProperty(ctx, "status".intern(), (Object)value);
    }
    
    public void setStatus(final EnumerationValue value) {
        this.setStatus(this.getSession().getSessionContext(), value);
    }
    
    static {
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>();
        tmp.put("customerId", Item.AttributeMode.INITIAL);
        tmp.put("consumerId", Item.AttributeMode.INITIAL);
        tmp.put("onlinePaymentEnabled", Item.AttributeMode.INITIAL);
        tmp.put("id", Item.AttributeMode.INITIAL);
        tmp.put("returnCode", Item.AttributeMode.INITIAL);
        tmp.put("returnMsg", Item.AttributeMode.INITIAL);
        tmp.put("status", Item.AttributeMode.INITIAL);
        DEFAULT_INITIAL_ATTRIBUTES = Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp);
    }
}
